# Generated by Django 2.2.7 on 2019-12-07 01:03

import controlled_vocabulary.models
from django.db import migrations
import django.db.models.deletion


def write_vocabulary_records_from_managers(migration_apps, schema_editor):
    '''
    We populate ControlledVocabulary from the managers here
    because other apps may need them during initial data migrations
    to run utils.search_term().
    '''

    from django.apps import apps
    app = apps.get_app_config("controlled_vocabulary")
    app.write_vocabulary_records_from_managers_during_migration(migration_apps)


class Migration(migrations.Migration):

    dependencies = [
        ("controlled_vocabulary", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="controlledvocabulary",
            name="concept",
            field=controlled_vocabulary.models.ControlledTermField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="controlled_vocabulary.ControlledTerm",
                vocabularies="wikidata",
            ),
        ),
        migrations.RunPython(write_vocabulary_records_from_managers)
    ]
